/**
 * Hoofbaby -- http://www.dsource.org/projects/hoofbaby
 * Copyright (C) 2009 Robert Fraser
 * 
 * This program is free software; you can redistribute it andor
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

module hoofbaby.app.libs;

import tango.io.Stdout;

version(UPnP) import platif = hoofbaby.platinum.platif;
import libav = hoofbaby.codec.libav.avformat;

public bool initLibs()
{
	try
	{
		version(UPnP) platif._loadLib();
		libav.av_register_all();
	}
	catch(Exception e)
	{
		debug Stdout("Error initializing shared libraries: " ~ e.toString());
		return false;
	}
	return true;
}